# 32/64bit spec-file
#
%define lib_major 2
%define lib_major2 7
%define lib_name %mklibname %{name} %{lib_major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 2.5.0
Release: %mkrel 1
Summary: An open-source JPEG 2000 codec 
Source0: %{name}-%{version}.tar.xz
Patch0: openjpeg2-remove-thirdparty.patch
Patch101:	heap-buffer-overflow.patch
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: zlib-devel
BuildRequires: tiff-devel
BuildRequires: png-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: cmake
BuildRequires: doxygen

%description
%{common_description}

%package -n %{lib_name}
Summary: %{name} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%defattr(-,root,root)
%{_bindir}/opj_compress
%{_bindir}/opj_decompress
%{_bindir}/opj_dump
%{_libdir}/*.so.%{lib_major}*
%{_libdir}/*.so.%{lib_major2}
%{_datadir}
#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{name} library
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}openjpeg1-devel

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%defattr(-,root,root)
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/openjpeg-*/*.cmake
%{_libdir}/pkgconfig/libopenjp2.pc

#---------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_lib} \
  -DBUILD_DOC=ON
%make_build
%make doc

%install
rm -rf %buildroot
%makeinstall_std -C build

# remove static library
rm -f %{buildroot}/%{_libdir}/libopenjp2.a

%clean
rm -rf %{buildroot}

%changelog
* Sun Sep 04 2022 tex - 2.5.0-1pclos2022
- new version

* Sat Jul 10 2021 tex - 2.4.0-2pclos2021
- add security patches

* Wed Dec 30 2020 tex - 2.4.0-1pclos2021
- new version

* Fri May 22 2020 ghostbunny <ghostbunny at gmx dot de> 2.3.1-1pclos2020
- 2.3.1
- remove applied patches

* Wed Oct 04 2017 bb2 <bb2> - 2.2.0-2pclos2017
- apply patches
- adjust cmake

* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 2.2.0-1pclos2017
- 2.2.0
- add missing BR cmake

* Wed Sep 25 2013 billybot <billybot> 2.0-3pclos2013
- add conflicts to openjpeg1-devel

* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 2.0-2pclos2013
- fixed cmake to install libs to lib64 on 64
- fix doc install

* Mon Mar 18 2013 ghostbunny <ghostbunny at gmx dot de> 2.0-1pclos2013
- 2.0
- removed patch
- fixed build process for new cmake
- fixed file sections for new files

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 1.3-4pclos2010
- back out libjpeg8

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 1.3-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 1.3-2pclos2010
- system rebuild

* Wed Oct 07 2009 Texstar <texstar at gmail.com> 1.3-1pclos2010
- 1.3

